package com.l2jserver.mmocore.network;

import java.net.InetAddress;
/**
 * 
 * @author Zero Cool
 *
 */

public class SelectorServerConfig extends SelectorConfig
{
  private final int SERVER_PORT;
  private final InetAddress SERVER_ADDRESS;

  public SelectorServerConfig(int port)
  {
    this(null, port);
  }

  public SelectorServerConfig(InetAddress address, int port)
  {
    this.SERVER_PORT = port;
    this.SERVER_ADDRESS = address;
  }

  public int getPort()
  {
    return this.SERVER_PORT;
  }

  public InetAddress getAddress()
  {
    return this.SERVER_ADDRESS;
  }
}